<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="me.zhengjie.modules.system.mapper.BusCarouselMapper">
    <resultMap id="BaseResultMap" type="me.zhengjie.modules.system.domain.BusCarousel">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="path" property="path"/>
        <result column="sort" property="sort"/>
    </resultMap>

    <sql id="Base_Column_List">
        id, name, path, sort
    </sql>

    <select id="findAll" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from bus_carousel
        <where>
        </where>
        order by sort asc
    </select>
</mapper>